You are here

wavelet denoise on openSUSE

Hello,

I am a linux novice and am unable to install wavelet denoise plugin on the openSUSE platform.

I have downloaded the tar.gz version of the plugin, and when I get the following when I run make:

In file included from plugin.c:16:0:
plugin.h:21:26: fatal error: libgimp/gimp.h: No such file or directory
compilation terminated.
make[1]: *** [plugin.o] Error 1
make[1]: Leaving directory `/home/pushanthu/Downloads/wavelet-denoise-0.3.1/src'
make: *** [src] Error 2

***********************************************************

I could not find libgimp on my machine. All I could find were a bunch of files with the following names and no reference to libgimp folder.
./usr/lib/libgimp-2.0.so.0
./usr/lib/libgimpwidgets-2.0.so.0.600.11
./usr/lib/libgimpwidgets-2.0.so.0
./usr/lib/libgimpui-2.0.so.0
./usr/lib/libgimpbase-2.0.so.0

I also saw that the plugin is available for ubuntu, archlinux etc under gimp-plugin-registry. However, none seems to be available for openSUSE. Has anyone successfully installed "wavelet denoise" on openSUSE? If so, can you please provide some guidelines on how to do the install?

Thanks,
sdravida

Forums: 

To compile wavelet denoise on opensuse you need to change some lines in the file /src/Makefile. You must add "-lm" parameter for gcc to compile correctly.
------------------------------------------------
$(PLUGIN): $(OBJECTS)
$(CC) $(CFLAGS) -lm -o $@ $^ $(LIBS)

%.o: %.c $(HEADERS)
$(CC) $(CFLAGS) -lm -c -o $@ $*.c
------------------------------------------------
Check if you have installed gimp-devel, if is not present run "zypper install gimp-devel"

Subscribe to Comments for "wavelet denoise on openSUSE"